Get payout details
Kajabi Payments Payouts
Get payout details
Get detailed information about a specific Kajabi Payments payout, including all associated transactions.
Note: Date fields are returned in UTC:
initiated_date- Payout creation timestamp in UTCestimated_arrival_date- Expected arrival timestamp in UTCtransactions[].created_at- Transaction timestamp in UTC
Transaction Fields
Each transaction in the transactions array includes:
- Transaction Type - Whether or not this transaction was a sale, refund, or adjustment
- Pricing Type - When this is a sale this is the offer’s pricing type, i.e. one-time, subscription, or payment plan
- Sales Tax - The sales tax collected for this transaction
- Amount - The transaction amount
- Currency - Three-letter currency code (USD, EUR, GBP, etc.)
- Fee - The transaction processing fee
- Net - The transaction net amount (amount - fee)
- Customer ID - Customer ID associated with the transaction
- Customer Name - Customer’s full name
- Customer Email - Customer’s email address
- Offer ID - When a sale or refund, the ID(s) of the purchased offer
- Offer Title - When a sale or refund, the title(s) of the purchased offer
- Provider - The payment processor (Kajabi Payments, Stripe, PayPal, etc.)
- Payment Method - For a sale or refund, the payment method that was used (Credit Card, etc.)
- Created At - When the transaction occurred (in UTC)
- Coupon Used - For a sale or refund, the coupon code if one was applied
- Presented Amount - The transaction original transaction amount (before currency conversion)
- Presented Currency - The transaction original currency code
- Exchange Rate - The currency exchange rate applied
- Quantity - The quantity of the offer that was purchased
- Order Number - For a sale or refund, the order number when an order was purchased
Transaction Types
Sale- All payments and that were received as part of this payoutRefund- Any refunds that occurred as part of this payoutAdjustment- All other adjustments that occurred as a part of this payout
Example Response
{
"data": {
"id": "payout_abc123",
"type": "kajabi_payments_payouts",
"attributes": {
"status": "Paid",
"amount": 1450.50,
"currency": "USD",
"initiated_date": "2024-01-10T10:00:00.000Z",
"estimated_arrival_date": "2024-01-17T10:00:00.000Z",
"bank_account": "Chase Bank - 1234",
"transactions": [
{
"transaction_type": "Sales",
"pricing_type": "Subscription",
"sales_tax": 0.0,
"amount": 99.00,
"currency": "USD",
"fee": 3.17,
"net": 95.83,
"customer_id": 789,
"customer_name": "John Doe",
"customer_email": "john@example.com",
"offer_ids": [
101
],
"offer_titles": [
"Premium Membership"
],
"provider": "Kajabi Payments",
"payment_method": "Visa",
"created_at": "2024-01-08T14:30:00.000Z",
"coupon_used": "SAVE20",
"presented_amount": 99.00,
"presented_currency": "USD",
"exchange_rate": 1.0,
"quantity": 1,
"order_number": "ORD-12345"
}
]
}
}
}
GET
Get payout details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Payout ID, for example payout_abc123
Query Parameters
Site ID to authorize access (required), for example ?filter[site_id]=123
Response
Success, returns payout details with all transactions